<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/graphs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">graphs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="graphs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef GRAPHS_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define GRAPHS_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="dataframe_8h.html">dataframe.h</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QWidget&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QtCharts/QChart&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;QtCharts/QChartView&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;QtCharts/QLineSeries&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#include &lt;QtCharts/QScatterSeries&gt;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">#include &lt;QtCharts/QValueAxis&gt;</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &lt;QPropertyAnimation&gt;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QGraphicsView&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QGraphicsScene&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QString&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &lt;QtCharts/QBarSeries&gt;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#include &lt;QtCharts/QBarSet&gt;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;QtCharts/QBarCategoryAxis&gt;</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;QtCharts/QHorizontalStackedBarSeries&gt;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &lt;QVector&gt;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="keyword">struct </span><a class="code hl_struct" href="struct_data_point.html">DataPoint</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="foldopen" id="foldopen00024" data-start="{" data-end="};">
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="class_graphs.html">   24</a></span><span class="keyword">class </span><a class="code hl_class" href="class_graphs.html">Graphs</a>: <span class="keyword">public</span> QGraphicsView</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>{</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    Q_OBJECT</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keyword">explicit</span> <a class="code hl_function" href="class_graphs.html#a1f49a6d1907651382b9a948af85e03f9">Graphs</a>(QGraphicsView *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="keyword">static</span> QChart *<a class="code hl_function" href="class_graphs.html#aa164267ba246cb8f66d2ae7fd1128a4c">createLineChart</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn, <span class="keyword">const</span> QString&amp; yColumn, QColor &amp;color);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keyword">static</span> QChart *<a class="code hl_function" href="class_graphs.html#a9c735836e91cd94bd3e361b11e6a8ffe">createScatterChart</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn, <span class="keyword">const</span> QString&amp; yColumn, QColor &amp;color);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keyword">static</span> QChart *<a class="code hl_function" href="class_graphs.html#aa5a7231d718606df6aefc8ab8cceb4e5">createPieOrDonutChart</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn, <span class="keywordtype">bool</span> isDonutChart);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keyword">static</span> QChart *<a class="code hl_function" href="class_graphs.html#afb4414bb0ed5b28e2c8acbae238679c5">createPieChart</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keyword">static</span> QChart *<a class="code hl_function" href="class_graphs.html#ac07ff30a0dd7b98f5f271a2276f7241c">createDonutChart</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="keyword">static</span> QChart* <a class="code hl_function" href="class_graphs.html#a71e37974bca65c09df359c860fe82210">barPlot</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="keyword">static</span> QChart* <a class="code hl_function" href="class_graphs.html#a4b5226a9b0269adf404d495e871dd3d6">horizontalBarPlot</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keyword">static</span> QVector&lt;DataPoint&gt; <a class="code hl_function" href="class_graphs.html#a8d311099c9bdc87bdfeae8bc8e41c79f">generateDataPoints</a>(<a class="code hl_class" href="class_data_frame.html">DataFrame</a>&amp; data, <span class="keyword">const</span> QString&amp; xColumn, <span class="keyword">const</span> QString&amp; yColumn);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="keyword">static</span> QPen <a class="code hl_function" href="class_graphs.html#a4d4bd4376aee6fda61291a2ed11b0db6">createPen</a>(<span class="keywordtype">int</span> width, QColor &amp;color);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keyword">static</span> QColor <a class="code hl_function" href="class_graphs.html#a2607894fbd9956d4b536c2092158f0d4">generateRandomColor</a>();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keyword">static</span> QPropertyAnimation* <a class="code hl_function" href="class_graphs.html#a0ea8fef69cfa31444c753300df93f443">createSeriesAnimation</a>(QAbstractSeries *series);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_graphs.html#a696bc3f7dbb1037c8ca391ae59236fc2">setChartProperties</a>(QChart *chart, QAbstractSeries *series, <span class="keyword">const</span> QString &amp;xColumn, <span class="keyword">const</span> QString &amp;yColumn);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>};</div>
</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#endif </span><span class="comment">// GRAPHS_H</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_graphs_html"><div class="ttname"><a href="class_graphs.html">Graphs</a></div><div class="ttdef"><b>Definition</b> graphs.h:25</div></div>
<div class="ttc" id="aclass_graphs_html_a0ea8fef69cfa31444c753300df93f443"><div class="ttname"><a href="class_graphs.html#a0ea8fef69cfa31444c753300df93f443">Graphs::createSeriesAnimation</a></div><div class="ttdeci">static QPropertyAnimation * createSeriesAnimation(QAbstractSeries *series)</div><div class="ttdef"><b>Definition</b> graphs.cpp:76</div></div>
<div class="ttc" id="aclass_graphs_html_a1f49a6d1907651382b9a948af85e03f9"><div class="ttname"><a href="class_graphs.html#a1f49a6d1907651382b9a948af85e03f9">Graphs::Graphs</a></div><div class="ttdeci">Graphs(QGraphicsView *parent=nullptr)</div><div class="ttdef"><b>Definition</b> graphs.cpp:37</div></div>
<div class="ttc" id="aclass_graphs_html_a2607894fbd9956d4b536c2092158f0d4"><div class="ttname"><a href="class_graphs.html#a2607894fbd9956d4b536c2092158f0d4">Graphs::generateRandomColor</a></div><div class="ttdeci">static QColor generateRandomColor()</div><div class="ttdef"><b>Definition</b> graphs.cpp:58</div></div>
<div class="ttc" id="aclass_graphs_html_a4b5226a9b0269adf404d495e871dd3d6"><div class="ttname"><a href="class_graphs.html#a4b5226a9b0269adf404d495e871dd3d6">Graphs::horizontalBarPlot</a></div><div class="ttdeci">static QChart * horizontalBarPlot(DataFrame &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color)</div><div class="ttdef"><b>Definition</b> graphs.cpp:280</div></div>
<div class="ttc" id="aclass_graphs_html_a4d4bd4376aee6fda61291a2ed11b0db6"><div class="ttname"><a href="class_graphs.html#a4d4bd4376aee6fda61291a2ed11b0db6">Graphs::createPen</a></div><div class="ttdeci">static QPen createPen(int width, QColor &amp;color)</div><div class="ttdef"><b>Definition</b> graphs.cpp:66</div></div>
<div class="ttc" id="aclass_graphs_html_a696bc3f7dbb1037c8ca391ae59236fc2"><div class="ttname"><a href="class_graphs.html#a696bc3f7dbb1037c8ca391ae59236fc2">Graphs::setChartProperties</a></div><div class="ttdeci">static void setChartProperties(QChart *chart, QAbstractSeries *series, const QString &amp;xColumn, const QString &amp;yColumn)</div><div class="ttdef"><b>Definition</b> graphs.cpp:84</div></div>
<div class="ttc" id="aclass_graphs_html_a71e37974bca65c09df359c860fe82210"><div class="ttname"><a href="class_graphs.html#a71e37974bca65c09df359c860fe82210">Graphs::barPlot</a></div><div class="ttdeci">static QChart * barPlot(DataFrame &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color)</div><div class="ttdef"><b>Definition</b> graphs.cpp:233</div></div>
<div class="ttc" id="aclass_graphs_html_a8d311099c9bdc87bdfeae8bc8e41c79f"><div class="ttname"><a href="class_graphs.html#a8d311099c9bdc87bdfeae8bc8e41c79f">Graphs::generateDataPoints</a></div><div class="ttdeci">static QVector&lt; DataPoint &gt; generateDataPoints(DataFrame &amp;data, const QString &amp;xColumn, const QString &amp;yColumn)</div><div class="ttdef"><b>Definition</b> graphs.cpp:42</div></div>
<div class="ttc" id="aclass_graphs_html_a9c735836e91cd94bd3e361b11e6a8ffe"><div class="ttname"><a href="class_graphs.html#a9c735836e91cd94bd3e361b11e6a8ffe">Graphs::createScatterChart</a></div><div class="ttdeci">static QChart * createScatterChart(DataFrame &amp;data, const QString &amp;xColumn, const QString &amp;yColumn, QColor &amp;color)</div><div class="ttdef"><b>Definition</b> graphs.cpp:134</div></div>
<div class="ttc" id="aclass_graphs_html_aa164267ba246cb8f66d2ae7fd1128a4c"><div class="ttname"><a href="class_graphs.html#aa164267ba246cb8f66d2ae7fd1128a4c">Graphs::createLineChart</a></div><div class="ttdeci">static QChart * createLineChart(DataFrame &amp;data, const QString &amp;xColumn, const QString &amp;yColumn, QColor &amp;color)</div><div class="ttdef"><b>Definition</b> graphs.cpp:114</div></div>
<div class="ttc" id="aclass_graphs_html_aa5a7231d718606df6aefc8ab8cceb4e5"><div class="ttname"><a href="class_graphs.html#aa5a7231d718606df6aefc8ab8cceb4e5">Graphs::createPieOrDonutChart</a></div><div class="ttdeci">static QChart * createPieOrDonutChart(DataFrame &amp;data, const QString &amp;xColumn, bool isDonutChart)</div><div class="ttdef"><b>Definition</b> graphs.cpp:160</div></div>
<div class="ttc" id="aclass_graphs_html_ac07ff30a0dd7b98f5f271a2276f7241c"><div class="ttname"><a href="class_graphs.html#ac07ff30a0dd7b98f5f271a2276f7241c">Graphs::createDonutChart</a></div><div class="ttdeci">static QChart * createDonutChart(DataFrame &amp;data, const QString &amp;xColumn)</div><div class="ttdef"><b>Definition</b> graphs.cpp:211</div></div>
<div class="ttc" id="aclass_graphs_html_afb4414bb0ed5b28e2c8acbae238679c5"><div class="ttname"><a href="class_graphs.html#afb4414bb0ed5b28e2c8acbae238679c5">Graphs::createPieChart</a></div><div class="ttdeci">static QChart * createPieChart(DataFrame &amp;data, const QString &amp;xColumn)</div><div class="ttdef"><b>Definition</b> graphs.cpp:207</div></div>
<div class="ttc" id="adataframe_8h_html"><div class="ttname"><a href="dataframe_8h.html">dataframe.h</a></div></div>
<div class="ttc" id="astruct_data_point_html"><div class="ttname"><a href="struct_data_point.html">DataPoint</a></div><div class="ttdef"><b>Definition</b> graphs.cpp:23</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
